close all;
clear all;
% im = imread('211s2.JPG');
imRed = im(:,:,1);
imGreen = im(:,:,2);
imBlue = im(:,:,3);

thresh = 20;

imGr = rgb2gray(im);

%% 1) identify pixels w/data
[Xi,Yi] = find(imGr > thresh);

%% 3) blank pixels
[X0,Y0] = find(imGr <= thresh);
 Xb = find(X0 == 1 | X0 ==size(im,1));
 Yb = find(Y0 == 1 | Y0 ==size(im,2));
 X0(Xb) = -1;
 X0(Yb) = -1;
 Y0(Xb) = -1;
 Y0(Yb) = -1;

%% 2) Delaunay triangulation
del = delaunayTriangulation(Xi,Yi);

%% 4) Do interpolation
triIDs = pointLocation(del,pts);
A = find(isnan(triIDs));
triIDs = triIDs(~A);
X0 = X0(~A);
Y0 = Y0(~A);
delaunayInterp(imGr,del,triIDs,Xi,Yi,X0n,Y0n);















